JacocoReportBase (Gradle API 8.14.5)
Description: declaration: package: org.gradle.testing.jacoco.tasks, class: JacocoReportBase

Package org.gradle.testing.jacoco.tasks

# Class JacocoReportBase

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.testing.jacoco.tasks.JacocoBase
org.gradle.testing.jacoco.tasks.JacocoReportBase

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

Direct Known Subclasses:
  `JacocoCoverageVerification`, `JacocoReport`

@DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly") public abstract class JacocoReportBase extends JacocoBase
Base class for Jacoco report tasks.

Since:
  3.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JacocoReportBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `additionalClassDirs(File... dirs)`
  Adds additional class directories to those that will be included in the report.
  `void`
  `additionalClassDirs(FileCollection dirs)`
  Adds additional class directories to those that will be included in the report.
  `void`
  `additionalSourceDirs(File... dirs)`
  Adds additional source directories to be used for any classes included in the report.
  `void`
  `additionalSourceDirs(FileCollection dirs)`
  Adds additional source directories to be used for any classes included in the report.
  `void`
  `executionData(Object... files)`
  Adds execution data files to be used during coverage analysis.
  `void`
  `executionData(Task... tasks)`
  Adds execution data generated by a task to the list of those used during coverage analysis.
  `void`
  `executionData(TaskCollection tasks)`
  Adds execution data generated by the given tasks to the list of those used during coverage analysis.
  `ConfigurableFileCollection`
  `getAdditionalClassDirs()`
  Additional class dirs that coverage data should be reported for.
  `ConfigurableFileCollection`
  `getAdditionalSourceDirs()`
  Additional source dirs for the classes coverage data is being reported for.
  `FileCollection`
  `getAllClassDirs()`
  Gets the class directories that coverage will be reported for.
  `FileCollection`
  `getAllSourceDirs()`
  Gets the source directories for the classes that will be reported on.
  `protected org.gradle.api.internal.project.IsolatedAntBuilder`
  `getAntBuilder()`
  `protected org.gradle.api.internal.CollectionCallbackActionDecorator`
  `getCallbackActionDecorator()`
  Required for decorating reports container callbacks for tracing user code application.
  `ConfigurableFileCollection`
  `getClassDirectories()`
  Source sets that coverage should be reported for.
  `ConfigurableFileCollection`
  `getExecutionData()`
  Collection of execution data files to analyze.
  `protected org.gradle.internal.reflect.Instantiator`
  `getInstantiator()`
  `ConfigurableFileCollection`
  `getSourceDirectories()`
  Source sets that coverage should be reported for.
  `Property<String>`
  `getSourceEncoding()`
  The character encoding of the source files.
  `void`
  `sourceSets(SourceSet... sourceSets)`
  Adds a source set to the list to be reported on.

  ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

  `getJacocoClasspath, setJacocoClasspath`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### JacocoReportBase

    public JacocoReportBase()

- ## Method Details

  - ### getInstantiator

    @Inject protected org.gradle.internal.reflect.Instantiator getInstantiator()

  - ### getCallbackActionDecorator

    @Inject protected org.gradle.api.internal.CollectionCallbackActionDecorator getCallbackActionDecorator()
    Required for decorating reports container callbacks for tracing user code application.
    Since:
      5.1

  - ### getAntBuilder

    @Inject protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

  - ### getExecutionData

    @PathSensitive(NONE) @InputFiles public ConfigurableFileCollection getExecutionData()
    Collection of execution data files to analyze.

  - ### getSourceDirectories

    @IgnoreEmptyDirectories @PathSensitive(RELATIVE) @InputFiles public ConfigurableFileCollection getSourceDirectories()
    Source sets that coverage should be reported for.

  - ### getClassDirectories

    @Classpath public ConfigurableFileCollection getClassDirectories()
    Source sets that coverage should be reported for.

  - ### getAdditionalClassDirs

    @Optional @IgnoreEmptyDirectories @PathSensitive(RELATIVE) @InputFiles public ConfigurableFileCollection getAdditionalClassDirs()
    Additional class dirs that coverage data should be reported for.

  - ### getAdditionalSourceDirs

    @Optional @IgnoreEmptyDirectories @PathSensitive(RELATIVE) @InputFiles public ConfigurableFileCollection getAdditionalSourceDirs()
    Additional source dirs for the classes coverage data is being reported for.

  - ### getSourceEncoding

    @Incubating @Optional @Input public Property<String> getSourceEncoding()
    The character encoding of the source files.
    Since:
      8.8

  - ### executionData

    public void executionData(Object... files)
    Adds execution data files to be used during coverage analysis.
    Parameters:
      `files` - one or more files to add

  - ### executionData

    public void executionData(Task... tasks)
    Adds execution data generated by a task to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
    Parameters:
      `tasks` - one or more tasks to add

  - ### executionData

    public void executionData(TaskCollection tasks)
    Adds execution data generated by the given tasks to the list of those used during coverage analysis. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
    Parameters:
      `tasks` - one or more tasks to add

  - ### getAllClassDirs

    @Internal public FileCollection getAllClassDirs()
    Gets the class directories that coverage will be reported for. All classes in these directories will be included in the report.
    Returns:
      class dirs to report coverage of

  - ### getAllSourceDirs

    @Internal public FileCollection getAllSourceDirs()
    Gets the source directories for the classes that will be reported on. Source will be obtained from these directories only for the classes included in the report.
    Returns:
      source directories for the classes reported on
    See Also:
      - `getAllClassDirs()`

  - ### sourceSets

    public void sourceSets(SourceSet... sourceSets)
    Adds a source set to the list to be reported on. The output of this source set will be used as classes to include in the report. The source for this source set will be used for any classes included in the report.
    Parameters:
      `sourceSets` - one or more source sets to report on

  - ### additionalClassDirs

    public void additionalClassDirs(File... dirs)
    Adds additional class directories to those that will be included in the report.
    Parameters:
      `dirs` - one or more directories containing classes to report coverage of

  - ### additionalClassDirs

    public void additionalClassDirs(FileCollection dirs)
    Adds additional class directories to those that will be included in the report.
    Parameters:
      `dirs` - a `FileCollection` of directories containing classes to report coverage of

  - ### additionalSourceDirs

    public void additionalSourceDirs(File... dirs)
    Adds additional source directories to be used for any classes included in the report.
    Parameters:
      `dirs` - one or more directories containing source files for the classes included in the report

  - ### additionalSourceDirs

    public void additionalSourceDirs(FileCollection dirs)
    Adds additional source directories to be used for any classes included in the report.
    Parameters:
      `dirs` - a `FileCollection` of directories containing source files for the classes included in the report